Upgrade from 2.0.2-rc to 2.0.6 problem

please remove